Package: org.gradle.nativeplatform

## [Java] Interface NativeLibraryBinarySpec

- org.gradle.api.Buildable

- All Superinterfaces:
    BinarySpec, NativeBinarySpec, LibraryBinarySpec, Buildable

  Represents a binary artifact that is the result of building a native library component.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `NativeLibrarySpec` | `getComponent()` {@inheritDoc}
    `NativeLibrarySpec` | `getLibrary()` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface LibraryBinarySpec` | `getLibrary`
    `interface NativeBinarySpec` | `getBuildType, getComponent, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

- - ### Method Detail

    - #### @Override public NativeLibrarySpec getComponent()

      {@inheritDoc}

    - #### @Override public NativeLibrarySpec getLibrary()

      {@inheritDoc}